/***********************/
/* initCommunication.h */
/***********************/

#ifndef _INITCOMMUNICATION_H
#define _INITCOMMUNICATION_H

// Fonction utilisee cote client UDP
// Elle cree une socket vers le point d'acces UDP correspondant au couple
// hote HOST / port PORT.
// Renvoie le file descriptor de cette socket (ou bien quitte
// le programme s'il y a eu une erreur).
int creationSocketPointDAcces();

// Fonction utilisee cote serveur UDP
// Elle cree le point d'acces UDP correspondant au port PORT.
// Renvoie le file descriptor de ce point d'acces (ou bien quitte
// le programme s'il y a eu une erreur).
int creationPointDAcces();

#endif /* _INITCOMMUNICATION_H */
